IRPTY(1)

NAME

irpty - Pseudo tty driver.

SYNOPSIS
irpty [options] config_file -- program [args ...]

DESCRIPTION

irpty connects to lircd to receive infrared codes and converts them to key strokes. E.g. type irpty ~/.config/lircrc -- workbone to control the CD-player program workbone. Of course you will have to create an appropriate config file for this purpose first. The config string will be passed to the desired application. Note that you can use escape sequences to specify non printable characters. Have a look at the .lircrc file format description for details.

OPTIONS

-h --help
    display usage summary

-V --version
    display version

-e --no-echo
    disable echo

-i --ignore-eof
    ignore EOF

-n --non-interactive
    force non-interactive mode

-v --verbose
    verbose mode

SEE ALSO

The documentation for lirc is maintained as html pages. They are located under html/ in the documentation directory.